%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	VNC Client for the GNOME Desktop
Name:		vinagre
Version:	3.22.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Networking/Remote access
Url:		https://wiki.gnome.org/Apps/Vinagre
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		vinagre-3.19.2-freerdp2.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=775616
Patch2:		vinagre-3.22.0-plugins_rdp_vinagre-rdp-tab.c.patch
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.31
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.5
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.26
BuildRequires:	pkgconfig(avahi-gobject) >= 0.6.26
BuildRequires:	pkgconfig(avahi-ui)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.11.6
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.11
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.3
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.2
BuildRequires:	pkgconfig(gtk-vnc-2.0) >= 0.4.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(vte-2.91) >= 0.20
BuildRequires:	pkgconfig(freerdp2) >= 1.2
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	itstool
BuildRequires:	vala-devel
BuildRequires:	yelp-devel
BuildRequires:	yelp-tools
Requires:	adwaita-icon-theme >= 2.30
# for /usr/bin/rdesktop
Recommends:	rdesktop

%description
Vinagre is a VNC Client for the GNOME Desktop.

With Vinagre you can have several connections open simultaneously, bookmark
your servers thanks to the Favorites support, store the passwords in the
GNOME keyring, and browse the network to look for VNC servers.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --enable-ssh --enable-rdp
%make_build

%install
%make_install

%find_lang %{name} --with-help

desktop-file-install --vendor="" \
  --add-category="RemoteAccess;Network" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/mime/packages/%{name}-mime.xml
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service
%{_datadir}/telepathy/clients/Vinagre.client
%{_mandir}/man1/%{name}.1*
%{_datadir}/glib-2.0/schemas/org.gnome.Vinagre.gschema.xml
%{_datadir}/GConf/gsettings/org.gnome.Vinagre.convert
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Sat Jan 07 2017 daviddavid <daviddavid> 3.22.0-3.mga6
+ Revision: 1080409
- add freeBSD patch to fix build with freerdp2 snapshot 2016-12-28
- improve also freerdp2 patch

* Fri Dec 23 2016 daviddavid <daviddavid> 3.22.0-2.mga6
+ Revision: 1076517
- rebuild for new spice-gtk 0.33

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055261
- new version 3.22.0

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011804
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000405
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994017
- new version 3.20.0

* Sat Mar 05 2016 cjw <cjw> 3.19.2-4.mga6
+ Revision: 986109
- rebuild against freerdp2

* Wed Feb 17 2016 umeabot <umeabot> 3.19.2-3.mga6
+ Revision: 963207
- Mageia 6 Mass Rebuild

* Sun Dec 13 2015 daviddavid <daviddavid> 3.19.2-2.mga6
+ Revision: 909829
- rebuild for new freerdp 2.0.0

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905773
- new version 3.19.2

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902734
- new version 3.18.2

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890257
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882929
- new release

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871907
- new version 3.17.91

* Thu Aug 27 2015 ovitters <ovitters> 3.17.2-2.mga6
+ Revision: 870260
- enable rdp (mga#16656)

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838601
- new version 3.17.2

* Mon Dec 22 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 804796
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796287
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 741343
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738442
- new version 3.14.1

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731616
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 690211
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676937
- new version 3.13.92

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665069
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655399
- new version 3.13.4

* Wed Jun 25 2014 ovitters <ovitters> 3.13.2-2.mga5
+ Revision: 639640
- update url

* Thu May 29 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627677
- new version 3.13.2

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622355
- new version 3.12.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614112
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608103
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604667
- new version 3.11.92

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 582926
- new version 3.11.5

* Sat Dec 28 2013 dams <dams> 3.10.2-2.mga4
+ Revision: 562908
- remove 'pkgconfig(libpanelapplet-4.0)' as a BR as gnome-panel no longuer exists in 4

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550571
- new version 3.10.2

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497226
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484483
- new version 3.10.0

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468322
- new version 3.9.90

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460880
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458155
- new version 3.9.4

* Fri May 24 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 426089
- new version 3.8.2

  + ovitters <ovitters>
    - new version 3.7.90
    - new version 3.7.4

* Mon Jan 14 2013 umeabot <umeabot> 3.7.3-2.mga3
+ Revision: 385419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 bersuit <bersuit> 3.7.3-1.mga3
+ Revision: 344006
- Update to new version 3.7.3

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317386
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307313
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297235
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295638
- new version 3.5.92

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282756
- br secret-1
- new version 3.5.90

* Sun Aug 12 2012 wally <wally> 3.5.2-2.mga3
+ Revision: 280831
- rebuild for new spice-gtk

* Tue Jun 26 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 263889
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235691
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231123
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226907
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224527
- new version 3.3.92

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-2.mga2
+ Revision: 197096
- drop patch, 3.3.3 has proper fix (bgo#668055)

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197016
- new version

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184906
- use correct find_lang
- updat file list
- br itstool
- autoreconf is not needed now
- drop unused patch
- new version 3.3.3

* Thu Dec 01 2011 fwang <fwang> 3.3.2-2.mga2
+ Revision: 174865
- rebuild for new spice-gtk

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170643
- add P2 to fix build
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158630
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156048
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148815
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145585
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139074
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136488
- SILNET: add tarball
- new version 3.1.90

  + wally <wally>
    - new version 3.1.5
    - new version 3.1.4
    - clean .spec a bit

* Wed Jul 20 2011 ahmad <ahmad> 3.1.3-2.mga2
+ Revision: 127308
- Rebuild for spice-gtk-0.7
- Conver the BR to pkconfig BR style

* Tue Jul 05 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 118977
- add BuildRequires: gnome-common
- 3.1.3

* Thu Jun 23 2011 cjw <cjw> 3.0.1-1.mga2
+ Revision: 112721
- 3.0.1

  + dmorgan <dmorgan>
    - Rebuild against new libpanel-applet

* Fri Feb 25 2011 ennael <ennael> 2.30.3-1.mga1
+ Revision: 59389
- clean spec file
- imported package vinagre


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 581788
- update to new version 2.30.3

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548387
- Release 2.30.2

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 542025
- new version
- remove build workaround

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528799
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516990
- update to new version 2.29.92

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509550
- update to new version 2.29.91

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502709
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 496490
- new version
- update file list

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475368
- new version
- update file list
- update build deps

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458699
- Release 2.28.1

* Wed Sep 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0.1-2mdv2010.0
+ Revision: 447744
- Fix BuildRequires
- Ensure telepathy support is always built
- Build ssh plugin
- Improve package description (from Fedora)

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0.1-1mdv2010.0
+ Revision: 446620
- update to new version 2.28.0.1

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432562
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421047
- update to new version 2.27.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 415199
- new version
- update file list

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 402679
- new version
- add devel package
- update file list
- update build deps
- fix build

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377447
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366959
- update to new version 2.26.1

* Tue Mar 17 2009 Funda Wang <fwang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356454
- New version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347350
- update to new version 2.25.92

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341027
- update to new version 2.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336493
- update to new version 2.25.90

* Wed Jan 21 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 332305
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325443
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315820
- new version
- update file list

* Fri Dec 05 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 310825
- update to new version 2.24.2

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295748
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286801
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282757
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278407
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273563
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231167
- new version
- update deps
- update file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 192461
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 183466
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.4.92-1mdv2008.1
+ Revision: 174830
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.91-1mdv2008.1
+ Revision: 165220
- new version
- bump deps
- handle gconf schema

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.4.90-1mdv2008.1
+ Revision: 159346
- fix buildrequires
- new version
- update file list

* Fri Jan 25 2008 Funda Wang <fwang@mandriva.org> 0.4-2mdv2008.1
+ Revision: 157805
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2008.1
+ Revision: 119227
- new version
- drop patch
- bump deps
- add icons and mime package
- add installation and uninstallation scripts

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 0.3-2mdv2008.1
+ Revision: 105175
- reenable avahi support (bug #35220)

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2008.0
+ Revision: 85489
- new version
- bump gtk-vnc dep
- fix URL

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2008.0
+ Revision: 84124
- Import vinagre



* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2008.0
- initial package
